Package com.microsoft.sqlserver.jdbc

# Class KerbCallback

java.lang.Object
com.microsoft.sqlserver.jdbc.KerbCallback

All Implemented Interfaces:
  `CallbackHandler`

public class KerbCallback extends Object implements CallbackHandler
Provides implemention of the callback handler for Kerberos.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUsernameRequested()`
Returns if a name was retrieved By Kerberos.
`void`
`handle​(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getUsernameRequested

public String getUsernameRequested()
Returns if a name was retrieved By Kerberos.

Returns:
  null if callback was not called or username was not provided

### handle

public void handle​(Callback[] callbacks) throws IOException, UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`